### Method

# WebKit WebExtension get_icon

unstable since: 2.52

#### Declaration [src]

    GIcon*
    webkit_web_extension_get_icon (
      WebKitWebExtension* extension,
      gdouble width,
      gdouble height
    )

#### Description [src]

Returns the extension’s icon image for the specified size. This icon should represent the extension in settings or other areas that show the extension. The returned image will be the best match for the specified size that is available in the extension’s icon set. If no matching icon can be found, the method will return `NULL`.

Available since: 2.52

#### Parameters

`width`

  Type: `gdouble`

  The width to use when looking up the icon.

`height`

  Type: `gdouble`

  The height to use when looking up the icon.

#### Return value

Type: `GIcon`

The icon image, or `NULL` if no icon could be loaded.

The returned data is owned by the instance.
The return value can be `NULL`.